CraftCart.io
  1. Storefront
  • CraftCart API (Code-Verified)
    • Health
      • API health endpoint
    • Auth
      • Signup user and create first store
      • Login operator account
      • Trigger password reset email
      • Reset password
      • Current authenticated user profile
    • Storefront
      • Get storefront store metadata
        GET
      • List products
        GET
      • Get product by slug
        GET
      • List approved product reviews
        GET
      • Create or update verified review
        POST
      • List collections
        GET
      • Get collection by slug
        GET
      • Subscribe newsletter
        POST
      • Create cart
        POST
      • Get cart
        GET
      • List shipping methods
        GET
      • Add cart item
        POST
      • Update cart item quantity
        PUT
      • Remove cart item
        DELETE
      • Apply discount code
        POST
      • Select shipping method
        POST
      • Create checkout session
        POST
      • Confirm checkout session
        POST
    • Public
      • Get public order tracking payload
      • Unsubscribe with query token
      • Unsubscribe with JSON token
    • AdminStore
      • Get store dashboard payload
      • Update store settings
      • Get Stripe status
      • Create Stripe account onboarding link
      • Create Stripe dashboard link
      • Reset Stripe connection
      • Create domain onboarding link
      • Check domain DNS status
      • List storefront tokens
      • Create storefront token
      • Rotate storefront token
      • Revoke storefront token
      • List team members
      • Create team invite
      • Resend team invite
      • Revoke team access
      • Verify email provider settings
      • Send test email
      • Send test email for template key
      • List operational issues
      • Upload media
      • Preview CraftOS link state
      • Connect CraftOS
      • Disconnect CraftOS
      • Sync CraftOS backfill
    • AdminProducts
      • List products
      • Create product
      • Get product
      • Update product
      • Update product status
      • Adjust product variant inventory
    • AdminCollections
      • List collections
      • Create collection
      • Get collection
      • Update collection
    • AdminCustomers
      • List customers
      • Export customers CSV
      • Import customers CSV
      • Get customer
      • Update customer
    • AdminDiscounts
      • List discounts
      • Create discount
      • Update discount
    • AdminOrders
      • List orders
      • Get order
      • Create fulfilment
    • AdminReviews
      • List reviews for moderation
      • Update review moderation state
    • AdminMarketing
      • List marketing templates
      • Create marketing template
      • Update marketing template
      • Delete marketing template
      • List marketing lists
      • Create marketing list
      • Update marketing list
      • Delete marketing list
      • Preview marketing audience
      • Send generic campaign
      • Send newsletter campaign
      • Send old-customer campaign
      • Send product announcement campaign
      • Send collection announcement campaign
    • IntegrationsInternal
      • Internal CraftOS backfill trigger
      • Internal CraftOS disconnect trigger
    • WebhooksInternal
      • Stripe webhook receiver
      • Hosted domain sync webhook
    • Schemas
      • SuccessMeta
      • ErrorResponse
      • Address
      • Product
      • Collection
      • Cart
      • Review
      • StorefrontStoreEnvelope
      • ProductListEnvelope
      • ProductDetailEnvelope
      • ProductReviewsEnvelope
      • StorefrontReviewWriteEnvelope
      • CollectionListEnvelope
      • CollectionDetailEnvelope
      • NewsletterSubscribeEnvelope
      • CartEnvelope
      • ShippingMethodsEnvelope
      • CreateCheckoutSessionEnvelope
      • ConfirmCheckoutSessionEnvelope
      • PublicOrderTrackingEnvelope
      • PublicUnsubscribeEnvelope
      • CreateStorefrontReviewRequest
      • NewsletterSubscribeRequest
      • CreateCartRequest
      • AddCartItemRequest
      • UpdateCartItemRequest
      • ApplyDiscountRequest
      • SelectShippingMethodRequest
      • CreateCheckoutSessionRequest
      • ConfirmCheckoutSessionRequest
      • PublicUnsubscribeRequest
      • HealthEnvelope
      • GenericSuccessEnvelope
      • MessageEnvelope
      • SignupRequest
      • LoginRequest
      • ForgotPasswordRequest
      • ResetPasswordRequest
      • AuthMembership
      • AuthSignupEnvelope
      • AuthLoginEnvelope
      • AuthMeEnvelope
      • AdminUpdateStoreRequest
      • AdminUpsertProductRequest
      • AdminInventoryAdjustmentRequest
      • AdminUpsertCollectionRequest
      • AdminUpdateCustomerRequest
      • AdminUpsertDiscountRequest
      • CreateFulfilmentRequest
      • MarketingAudience
      • MarketingFilters
      • MarketingTemplateCreateRequest
      • MarketingTemplateUpdateRequest
      • MarketingListCreateRequest
      • MarketingListUpdateRequest
      • PreviewMarketingAudienceRequest
      • SendGenericMarketingCampaignRequest
      • SendNewsletterCampaignRequest
      • SendOldCustomersCampaignRequest
      • SendProductAnnouncementRequest
      • SendCollectionAnnouncementRequest
      • CraftOsLinkRequest
  1. Storefront

Get cart

GET
https://api.craftcart.io/api/v1/storefront/cart/{cartId}
Last modified:2026-04-18 03:08:00
Storefront endpoint for headless commerce clients. Use x-storefront-token; optional scope via x-storefront-scope or scope query.

Request

Authorization
API Key
Add parameter in header
x-storefront-token
Example:
x-storefront-token: ********************
or
Path Params

Responses

🟢200CartResponse
application/json
Cart response
Body

🟠401ErrorResponse401
🟠404ErrorResponse404
🟠422ErrorResponse422
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.craftcart.io/api/v1/storefront/cart/' \
--header 'x-storefront-token: <api-key>'
Response Response Example
200 - Success
{"success":true,"data":{"item":{"id":"cart_e9fd4b94d7f5d9b3","status":"active","currency":"AUD","customerEmail":"jane@example.com","items":[{"_id":"6629c84f5d6a4d7481dfc333","title":"Neck Gaiter","variantTitle":"Navy","quantity":2,"unitPrice":24,"lineTotal":48}],"appliedDiscount":{"code":"WELCOME10","type":"percentage","value":10,"amount":4.8},"selectedShippingMethod":{"methodId":"standard-au","label":"Standard shipping","amount":8},"availableShippingMethods":[{"methodId":"standard-au","label":"Standard shipping","amount":8}],"subtotalAmount":48,"discountAmount":4.8,"shippingAmount":8,"taxAmount":0,"totalAmount":51.2}},"meta":{}}
Modified at 2026-04-18 03:08:00
Previous
Create cart
Next
List shipping methods
Built with